アカウントの状態
POST
https://api.forter-secure.com/v2/accounts/status/{id}
Path Parameters
- idstringrequired
Header Parameters
- api-versionstringrequiredExampleDescriptionDefault10.1
- x-forter-siteidstringrequiredExampleDescriptionDefault8b47c6d423ba
Body Parameters
- bodyaccountStatusUpdateRequestrequiredDescription
- accountIdstringrequiredDescriptionDefaulte520-ba9a-367-60b
- additionalInformationobject
- GeneralPayloadMap
- connectionInformationobject
- ConnectionInformation
- checkoutToolsSessionIdstringDescriptionDefaultHTGDVC232fdFDFdfkdjk87382938mcndjc2f4gbbGd
- customerIPstringrequiredDescriptionDefault10.0.0.127
- forterMobileUIDstringDescriptionDefault6429751237891
- forterTokenCookiestringDescriptionDefault249453te8tbf9355186fet0ken547b95_2786972955236__UDE52-n5_8dg
- merchantDeviceIdentifierstringDescriptionDefaultHGJ7512345H3
- merchantProvidedSessionIdstringDescriptionDefaultHTGDVC232fdFDFdfkdjk87382938mcndjc2f4gbbGd
- userAgentstringrequiredDescriptionDefaultMozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/47.0.2526.73 Safari/537.36
- eventTimenumberrequiredDescriptionDefault1415287568000
- merchantAccountStatusstringDescriptionDefaultopen
- statusstring<ACTIVE | SUSPENDED | CLOSED | GUEST | PENDING>requiredDescriptionDefaultACTIVE
- statusChangeBystring<MERCHANT_ADMIN | END_USER | FORTER>DescriptionDefaultMERCHANT_ADMIN
- statusChangeReasonstringDescriptionDefaultuser violation of coupon abuse policy
- typestring<GUEST | PRIVATE | BUSINESS | VIP | MERCHANT_OPERATED | TRIAL | MERCHANT_EMPLOYEE | PREMIUM_PAID | SMALL_BUSINESS | AGENT | BUSINESS_PRIVATE | BUSINESS_PREMIUM_PAID>DescriptionDefaultBUSINESS
Responses
200
- adaptiveAuthAccountsResponseDescription
- accountIdstringrequiredDescriptionDefaulte520-ba9a-367-60b
- correlationIdstringrequiredDescriptionDefaultHGJ7512345H3DE
- decisionReasonstringrequiredDescriptionDefault
- forterDecisionstring<APPROVE | DECLINE | VERIFICATION_REQUIRED | NOT_REVIEWED>requiredDescriptionDefaultAPPROVE
- merchantPolicyIdstringrequiredDescriptionDefault0ee8ba28a8654c659addbae9253b707c
- recommendationstringrequiredDescriptionDefault
- verificationMethodVerificationMethodrequiredDescription
- correlationIdstringrequiredDescriptionDefaultHGJ7512345H3DE
- statusstringrequiredDescriptionDefaultFRICTIONLESS
- statusCodestringrequiredDescriptionDefault100
- statusMessagestringrequiredDescriptionDefaultVerification code sent
- typestring<OTP_SMS | OTP_EMAIL | THREE_DS>requiredDescriptionDefaultTHREE_DS
- verificationIdstringrequiredDescriptionDefault345H3DEHGJ7512
- verificationSpecificDataVerificationDatarequiredDescription
- ThreeDSobject
- ThreeDSecureResponse
- ACSUrlstringrequiredDescriptionDefaulthttps:/ /acs-us-east-1.nd.nds-sandbox-issuer.com/api/v1/acs/browser_sdk_challenges
- ECIValuestringrequiredDescriptionDefault02
- acsChallengeMandatedstringrequiredDescriptionDefaultY
- acsReferenceNumberstringrequiredDescriptionDefaultftr-internal-acs-approval
- acsSignedContentstringrequiredDescriptionDefault
- acsTransIDstringrequiredDescriptionDefault6fd30e89-8171-4cc3-b86e-3d59582af2f6
- authenticationTypestringrequiredDescriptionDefault01
- authenticationValuestringrequiredDescriptionDefaulttSvPDt3PINNaoL+ERXdg0jVrmWc=
- bankLiabilityShiftbooleanrequiredDescriptionDefaulttrue
- cardEnrolledstringrequiredDescriptionDefaultY
- cavvAlgorithmstringrequiredDescriptionDefault3
- challengeCancelstringrequiredDescriptionDefault01
- challengeStatusstringrequiredDescriptionDefaultY
- dsTransIDstringrequiredDescriptionDefault38bbf46f-c023-4f4c-ae2c-35fb301632a5
- encodedChallengeRequeststringrequiredDescriptionDefaulteyJhY3NUcmFuc0lEIjoiMTEyY2RiNWItMGFlYy00MTY5LThjMWYtYWMyN2JlNjAxMjhhIiwiY2hhbGxlbmdlV2luZG93U2l6ZSI6IjA0IiwibWVzc2FnZVZlcnNpb24iOiIyLjEuMCIsIm1lc3NhZ2VUeXBlIjoiQ1JlcSIsInRocmVlRFNTZXJ2ZXJUcmFuc0lEIjoiZWRhM2MwMzYtZWMyYS00NmZkLTlmYWItNzBlZTgyYjJjNzQ5In0=
- exemptionstring<LOW_VALUE | TRANSACTION_RISK_ANALYSIS | SECURE_CORPORATE | TRUSTED_BENEFICIARY>DescriptionDefaultTRANSACTION_RISK_ANALYSIS
- interactionCounterstringrequiredDescriptionDefault01
- isFallbackbooleanrequiredDescriptionDefaultfalse
- messageCategorystringrequiredDescriptionDefault01
- outOfScopeForPSD2string<ANONYMOUS_PREPAID_CARD | MERCHANT_INITIATED_TRANSACTIONS | ONE_LEG_OUT_EEA | MAIL_ORDER_TELEPHONE_ORDER>DescriptionDefaultANONYMOUS_PREPAID_CARD
- threeDSServerTransIDstringrequiredDescriptionDefault26d648a9-da8a-4f8b-a76d-094801d2fd45
- threeDSecureModestringrequiredDescriptionDefaultsca
- threeDSecurePreferencestringrequiredDescriptionDefaultnopref
- threeDSecureResultstringrequiredDescriptionDefault590040
- transStatusstringrequiredDescriptionDefaultY
- transStatusReasonstringrequiredDescriptionDefault01
- verifyStatusstringrequiredDescriptionDefaultY
- versionstringrequiredDescriptionDefault2.1.0
- emailobject
- Email
- emailstringrequiredDescriptionDefault
- emailVerificationobject
- Verification
- sentbooleanrequiredDescriptionDefaulttrue
- timeSentnumberDescriptionDefault1389567341
- verifiedbooleanrequiredDescriptionDefaultfalse
- phoneobject
- Phone
- phonestringrequiredDescriptionDefault15557654321
- smsVerifiedobject
- Verification
- sentbooleanrequiredDescriptionDefaulttrue
- timeSentnumberDescriptionDefault1389567341
- verifiedbooleanrequiredDescriptionDefaultfalse
400
401
404
500
curl
curl --request POST \
--url https://api.forter-secure.com/v2/accounts/status/{id} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'api-version: 10.1' \
--header 'x-forter-siteid: 8b47c6d423ba' \
--header 'authorization: Basic <base64-encoded-api-key:>' \
--data '{
"accountId": "e520-ba9a-367-60b",
"additionalInformation": {},
"connectionInformation": {
"checkoutToolsSessionId": "HTGDVC232fdFDFdfkdjk87382938mcndjc2f4gbbGd",
"customerIP": "10.0.0.127",
"forterMobileUID": "6429751237891",
"forterTokenCookie": "249453te8tbf9355186fet0ken547b95_2786972955236__UDE52-n5_8dg",
"merchantDeviceIdentifier": "HGJ7512345H3",
"merchantProvidedSessionId": "HTGDVC232fdFDFdfkdjk87382938mcndjc2f4gbbGd",
"userAgent": "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/47.0.2526.73 Safari/537.36"
},
"eventTime": 1415287568000,
"merchantAccountStatus": "open",
"status": "ACTIVE",
"statusChangeBy": "MERCHANT_ADMIN",
"statusChangeReason": "user violation of coupon abuse policy",
"type": "BUSINESS"
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("api-version", "10.1");
myHeaders.append("x-forter-siteid", "8b47c6d423ba");
myHeaders.append("authorization", "Basic <base64-encoded-api-key:>");
var raw = JSON.stringify({
"accountId": "e520-ba9a-367-60b",
"additionalInformation": {},
"connectionInformation": {
"checkoutToolsSessionId": "HTGDVC232fdFDFdfkdjk87382938mcndjc2f4gbbGd",
"customerIP": "10.0.0.127",
"forterMobileUID": "6429751237891",
"forterTokenCookie": "249453te8tbf9355186fet0ken547b95_2786972955236__UDE52-n5_8dg",
"merchantDeviceIdentifier": "HGJ7512345H3",
"merchantProvidedSessionId": "HTGDVC232fdFDFdfkdjk87382938mcndjc2f4gbbGd",
"userAgent": "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/47.0.2526.73 Safari/537.36"
},
"eventTime": 1415287568000,
"merchantAccountStatus": "open",
"status": "ACTIVE",
"statusChangeBy": "MERCHANT_ADMIN",
"statusChangeReason": "user violation of coupon abuse policy",
"type": "BUSINESS"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.forter-secure.com/v2/accounts/status/{id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.forter-secure.com/v2/accounts/status/{id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["api-version"] = "10.1"
request["x-forter-siteid"] = "8b47c6d423ba"
request["authorization"] = "Basic <base64-encoded-api-key:>"
request.body = JSON.dump({
"accountId": "e520-ba9a-367-60b",
"additionalInformation": {},
"connectionInformation": {
"checkoutToolsSessionId": "HTGDVC232fdFDFdfkdjk87382938mcndjc2f4gbbGd",
"customerIP": "10.0.0.127",
"forterMobileUID": "6429751237891",
"forterTokenCookie": "249453te8tbf9355186fet0ken547b95_2786972955236__UDE52-n5_8dg",
"merchantDeviceIdentifier": "HGJ7512345H3",
"merchantProvidedSessionId": "HTGDVC232fdFDFdfkdjk87382938mcndjc2f4gbbGd",
"userAgent": "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/47.0.2526.73 Safari/537.36"
},
"eventTime": 1415287568000,
"merchantAccountStatus": "open",
"status": "ACTIVE",
"statusChangeBy": "MERCHANT_ADMIN",
"statusChangeReason": "user violation of coupon abuse policy",
"type": "BUSINESS"
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.forter-secure.com/v2/accounts/status/{id}"
payload = json.dumps({
"accountId": "e520-ba9a-367-60b",
"additionalInformation": {},
"connectionInformation": {
"checkoutToolsSessionId": "HTGDVC232fdFDFdfkdjk87382938mcndjc2f4gbbGd",
"customerIP": "10.0.0.127",
"forterMobileUID": "6429751237891",
"forterTokenCookie": "249453te8tbf9355186fet0ken547b95_2786972955236__UDE52-n5_8dg",
"merchantDeviceIdentifier": "HGJ7512345H3",
"merchantProvidedSessionId": "HTGDVC232fdFDFdfkdjk87382938mcndjc2f4gbbGd",
"userAgent": "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/47.0.2526.73 Safari/537.36"
},
"eventTime": 1415287568000,
"merchantAccountStatus": "open",
"status": "ACTIVE",
"statusChangeBy": "MERCHANT_ADMIN",
"statusChangeReason": "user violation of coupon abuse policy",
"type": "BUSINESS"
})
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'api-version': '10.1',
'x-forter-siteid': '8b47c6d423ba',
'authorization': 'Basic <base64-encoded-api-key:>'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Example adaptiveAuthAccountsResponse
{
"accountId": "",
"correlationId": "",
"decisionReason": "",
"forterDecision": "",
"merchantPolicyId": "",
"recommendation": "",
"verificationMethod": {
"correlationId": "",
"status": "",
"statusCode": "",
"statusMessage": "",
"type": "",
"verificationId": "",
"verificationSpecificData": {
"ThreeDS": {},
"email": {},
"phone": {}
}
}
}400
// Bad Request (Often missing a required parameter)
401
// Unauthorized (No valid API key provided)
404
// Not Found (The requested item doesn't exist)
500
// Server Error (Something went wrong on Forter's end)
アカウントのステータスに関する更新を通知します。このリクエストに対する決定は提供されていませんが、決定モデルが改善されます。